#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"

#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

//#define _USE_LIVE_VIDEO		// uncomment this to use a live camera
								// otherwise, we'll use a movie file


class testApp : public ofSimpleApp{

	public:

		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();

        #ifdef _USE_LIVE_VIDEO
		  ofVideoGrabber 		vidGrabber;
		#else
		  ofVideoPlayer 		vidPlayer;
		#endif
        
        ofxCvColorImage		colorImg;
        
        ofxCvGrayscaleImage 	grayImage;
		ofxCvGrayscaleImage 	grayBg;
		ofxCvGrayscaleImage 	grayDiff;
	
		// for collision, we need two images, per object we want to collide with
		// one with the object drawn into it, and one as the intersection (&) with the object
	
		ofxCvGrayscaleImage		objAImg;
		ofxCvGrayscaleImage		objAIntersection;
		ofxCvGrayscaleImage		objBImg;
		ofxCvGrayscaleImage		objBIntersection;
		
		float pctAIntersected;
		float pctBIntersected;
	
	
	
        ofxCvContourFinder 	contourFinder;

		int 				threshold;
		bool				bLearnBakground;
		int					nDilations;
		
		
};

#endif
